import request from '@/utils/request'

// 查询用户学校收藏列表
export function listMemberCollectSchool(query) {
  return request({
    url: '/mall/memberCollectSchool/list',
    method: 'get',
    params: query
  })
}

// 查询用户学校收藏详细
export function getMemberCollectSchool(collectSchoolId) {
  return request({
    url: '/mall/memberCollectSchool/' + collectSchoolId,
    method: 'get'
  })
}

// 新增用户学校收藏
export function addMemberCollectSchool(data) {
  return request({
    url: '/mall/memberCollectSchool',
    method: 'post',
    data: data
  })
}

// 修改用户学校收藏
export function updateMemberCollectSchool(data) {
  return request({
    url: '/mall/memberCollectSchool',
    method: 'put',
    data: data
  })
}

// 删除用户学校收藏
export function delMemberCollectSchool(collectSchoolId) {
  return request({
    url: '/mall/memberCollectSchool/' + collectSchoolId,
    method: 'delete'
  })
}
